CREATE TABLE IF NOT EXISTS api_kgon_members (
  id              BIGINT NOT NULL,
  balance         DOUBLE PRECISION NOT NULL DEFAULT 0.00,
  balance_bota    DOUBLE PRECISION NOT NULL DEFAULT 0.00,
  balance_sum     DOUBLE PRECISION NOT NULL DEFAULT 0.00,
  companies       TEXT,
  oriental_play   CHAR(1) NOT NULL DEFAULT 'n',
  member_id       UUID NOT NULL,
  created_at      BIGINT NOT NULL DEFAULT (extract(epoch from now()) * 1000),
  updated_at      BIGINT NOT NULL DEFAULT (extract(epoch from now()) * 1000),
  PRIMARY KEY (id),
  CONSTRAINT fk_api_kgon_members_member_id
    FOREIGN KEY(member_id) 
	    REFERENCES members(id)
);

CREATE INDEX idx_api_kgon_members_member_id ON api_kgon_members (member_id);

-- trigger (updated_at)
CREATE TRIGGER tg_api_kgon_members_updated_at
  BEFORE UPDATE
  ON api_kgon_members
  FOR EACH ROW
  EXECUTE PROCEDURE update_updated_at_column();
