use serde::{Deserialize, Serialize};

pub struct GetBalanceForUserRequest {
  pub username: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetBalanceForUserResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: Option<f64>,
  #[serde(rename = "balanceBota")]
  pub balance_bota: Option<f64>,
  #[serde(rename = "balanceSum")]
  pub balance_sum: Option<f64>,
  pub companies: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetBalanceForUserResponse {
  pub balance: f64,
  #[serde(rename = "balanceBota")]
  pub balance_bota: f64,
  #[serde(rename = "balanceSum")]
  pub balance_sum: f64,
  pub companies: Option<String>,
}

pub struct GetBalanceForPartnerRequest {}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetBalanceForPartnerResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: Option<f64>,
  #[serde(rename = "balanceBota")]
  pub balance_bota: Option<f64>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetBalanceForPartnerResponse {
  pub balance: f64,
  #[serde(rename = "balanceBota")]
  pub balance_bota: f64,
}

pub struct CreateDepositRequest {
  pub username: String,
  pub cash_type: Option<String>,
  pub amount: f64,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _CreateDepositResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: Option<f64>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct CreateDepositResponse {
  pub balance: f64,
}

pub struct CreateWithdrawRequest {
  pub username: String,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _CreateWithdrawResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub balance: Option<f64>,
  pub balance_cash: Option<f64>,
  pub balance_cash_bota: Option<f64>,
  pub amount: Option<f64>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct CreateWithdrawResponse {
  pub balance: f64,
  pub balance_cash: f64,
  pub balance_cash_bota: f64,
  pub amount: f64,
}
