use super::schema::api_kgon_betting_history;
use beteran_common_rust as bcr;

///
#[derive(Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "api_kgon_betting_history"]
pub struct BettingHistory {
  ///
  pub id: String,
  ///
  pub vendor_id: i64,
  ///
  pub vendor_name: String,
  ///
  pub game_id: i64,
  ///
  pub game_name: String,
  ///
  pub game_category: String,
  ///
  pub game_type: String,
  ///
  pub currency: String,
  ///
  pub cash: f64,
  ///
  pub before_cash: f64,
  ///
  pub after_cash: f64,
  ///
  pub key: String,
  ///
  pub ref_id: String,
  ///
  pub o_ref_id: String,
  ///
  pub group_key: Option<String>,
  ///
  pub is_bonus: bool,
  ///
  pub is_promo: bool,
  ///
  pub is_jackpot: bool,
  ///
  pub site_username: String,
  ///
  pub betting_type: String,
  ///
  pub category: String,
  ///
  pub created_at: i64,
  ///
  pub utc_created_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "api_kgon_betting_history"]
pub struct NewBettingHistory {
  ///
  pub id: String,
  ///
  pub vendor_id: i64,
  ///
  pub vendor_name: String,
  ///
  pub game_id: i64,
  ///
  pub game_name: String,
  ///
  pub game_category: String,
  ///
  pub game_type: String,
  ///
  pub currency: String,
  ///
  pub cash: f64,
  ///
  pub before_cash: f64,
  ///
  pub after_cash: f64,
  ///
  pub key: String,
  ///
  pub ref_id: String,
  ///
  pub o_ref_id: String,
  ///
  pub group_key: Option<String>,
  ///
  pub is_bonus: bool,
  ///
  pub is_promo: bool,
  ///
  pub is_jackpot: bool,
  ///
  pub site_username: String,
  ///
  pub betting_type: String,
  ///
  pub category: String,
  ///
  pub created_at: i64,
  ///
  pub utc_created_at: i64,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub vendor_id: Option<i64>,
  ///
  pub vendor_name_like: Option<String>,
  ///
  pub game_id: Option<i64>,
  ///
  pub game_name_like: Option<String>,
  ///
  pub game_category_like: Option<String>,
  ///
  pub game_type_like: Option<String>,
  ///
  pub currency_like: Option<String>,
  ///
  pub key_like: Option<String>,
  ///
  pub ref_id_like: Option<String>,
  ///
  pub o_ref_id_like: Option<String>,
  ///
  pub group_key_like: Option<String>,
  ///
  pub is_bonus: Option<bool>,
  ///
  pub is_promo: Option<bool>,
  ///
  pub is_jackpot: Option<bool>,
  ///
  pub site_username_like: Option<String>,
  ///
  pub betting_type_like: Option<String>,
  ///
  pub category_like: Option<String>,
}
///
#[derive(Debug, Clone)]
pub struct FindAll {
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::pagination::Sort>>,
}
