use super::schema::api_kgon_synchronizations;

pub static ITEM_MEMBERS: &str = "members";
pub static ITEM_BALANCE_PARTNER: &str = "balance_partner";
pub static ITEM_BALANCE_USER_ALL: &str = "balance_user_all";
pub static ITEM_BALANCE_USER: &str = "balance_user";
pub static ITEM_VENDORS: &str = "vendors";
pub static ITEM_GAMES: &str = "games";
pub static ITEM_BETTING_HISTORY: &str = "betting_history";

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "api_kgon_synchronizations"]
pub struct Synchronization {
  ///
  pub id: i32,
  ///
  pub item: String,
  ///
  pub last_code: i64,
  ///
  pub synchronized_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "api_kgon_synchronizations"]
pub struct NewSynchronization {
  ///
  pub item: String,
  ///
  pub last_code: i64,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "api_kgon_synchronizations"]
pub struct ModifySynchronization {
  ///
  pub last_code: i64,
}
