use crate::compositions;
use beteran_protobuf_rust as bpr;

impl From<&compositions::betting::models::BettingHistoryModel>
  for bpr::models::api::betting::BettingHistoryModel
{
  fn from(d: &compositions::betting::models::BettingHistoryModel) -> Self {
    bpr::models::api::betting::BettingHistoryModel {
      id: d.id.clone(),
      vendor_id: d.vendor_id as u64,
      vendor_name: d.vendor_name.clone(),
      game_id: d.game_id as u64,
      game_name: d.game_name.clone(),
      game_category: d.game_category.clone(),
      game_type: d.game_type.clone(),
      currency: d.currency.clone(),
      cash: d.cash,
      before_cash: d.before_cash,
      after_cash: d.after_cash,
      key: d.key.clone(),
      ref_id: d.ref_id.clone(),
      o_ref_id: d.o_ref_id.clone(),
      group_key: d.group_key.clone(),
      is_bonus: d.is_bonus,
      is_promo: d.is_promo,
      is_jackpot: d.is_jackpot,
      site_username: d.site_username.clone(),
      betting_type: d.betting_type.clone(),
      category: d.category.clone(),
      created_at: d.created_at as u64,
      utc_created_at: d.utc_created_at as u64,
      m_site_id: d.m_site_id.to_string(),
      m_member_class_id: d.m_member_class_id.to_string(),
      m_member_level_id: d.m_member_level_id.to_string(),
      m_parent_member_id: d.m_parent_member_id.map(|v| v.to_string()),
      m_nickname: d.m_nickname.clone(),
      m_mobile_phone_number: d.m_mobile_phone_number.clone(),
    }
  }
}
